﻿
@model Infraestrutura.ViewModels.CadastroViewModel

<h1 class="display-4 mb-3">Cadastro</h1>

@if (Model.Validação.Erro)
{
<div class="alert alert-danger" role="alert" id="Erros">
    @Model.Validação.MensagemErro
</div> }
else
{
<div class="alert alert-danger d-none" role="alert" id="Erros">
    @Model.Validação.MensagemErro
</div>}


<form asp-action="Cadastrar" asp-antiforgery="true" method="post" enctype="multipart/form-data">
    <div class="jumbotron bg-light">
        <h2 class="mb-2">Dados Pessoais</h2>
        <div class="row">
            <div class="col">
                <label for="Nome">Nome Completo*</label>
                <input type="text" class="form-control" id="Nome" asp-for="Nome" required>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-4">
                <label for="CPF">CPF*</label>
                <input type="text" class="form-control" id="CPF" asp-for="CPF" required>
            </div>

            <div class="col-sm-4">
                <label for="Nascimento">Data de Nascimento*</label>
                <input type="text" class="form-control" id="Nascimento" asp-for="Nascimento" required>
            </div>

            <div class="col-sm-4">
                <label for="Telefone">Telefone*</label>
                <input type="text" class="form-control" id="Telefone" asp-for="Telefone" required>
            </div>
        </div>

        <div class="row">
            <div class="col-sm-6">
                <label for="Email">E-mail*</label>
                <input type="email" class="form-control" id="Email" aria-describedby="emailHelp" asp-for="Email" required>
                <small id="emailHelp" class="form-text text-muted">Usaremos esse e-mail para te atualizar sobre o evento.</small>
            </div>

            <div class="col-sm-3">
                <label for="Senha">Senha*</label>
                <input type="password" class="form-control" id="Senha" asp-for="Senha" required />
            </div>

            <div class="col-sm-3">
                <label for="SenhaRepetir">Confirmar Senha*</label>
                <input type="password" class="form-control" id="SenhaRepetir" asp-for="SenhaConfirmação" required />
            </div>
        </div>

        <div class="row">
            <div class="col-sm-8">
                <label for="Endereco">Endereço*</label>
                <input type="text" class="form-control" id="Endereco" asp-for="Endereço" required>
            </div>

            <div class="col-sm-2">
                <label for="CEP">CEP*</label>
                <input type="text" class="form-control" id="CEP" asp-for="CEP" required>
            </div>

            <div class="col-sm-2">
                <label for="Cidade">Cidade*</label>
                <input type="text" class="form-control" id="Cidade" asp-for="Cidade" required>
            </div>
        </div>

        <div class="row">
            <div class="col-sm-6">
                <label for="RGCPF">RG e CPF*</label>
                <input type="file" class="form-control" id="RGCPF" asp-for="RGCPF" required accept=".pdf" />
            </div>

            <div class="col-sm-6">
                <label for="Selfie">Selfie com RG e CPF*</label>
                <input type="file" class="form-control" id="Selfie" asp-for="Foto" required accept=".jpg, .jpeg, .png" />
            </div>
        </div>

        <div class="row">
            <div class="col-sm-6">
                <label for="Casa">Comprovante de Residência*</label>
                <input type="file" class="form-control" id="Casa" asp-for="ComprovanteResidência" required accept=".pdf" />
            </div>

            <div class="col-sm-6">
                <label for="Declaracao">Declaração de Residência Autenticada</label>
                <input type="file" class="form-control" id="Declaracao" asp-for="DeclaraçãoResidência" accept=".pdf" aria-describedby="DeclaracaoHelp" />
                <small id="DeclaracaoHelp" class="form-text text-muted">Somente se o comprovante de endereço não estiver no seu nome ou no nome do responsável.</small>
            </div>
        </div>

    </div>

    <div class="jumbotron bg-light">
        <h2 class="mb-2">Dados Bancários</h2>
        <p class="lead">Se você for menor de idade, insira os dados bancários do responsável.</p>
        <div class="row">
            <div class="col-sm-4">
                <label for="NomeBanco">Nome do Banco*</label>
                <input type="text" class="form-control" id="NomeBanco" asp-for="NomeBanco" required />
            </div>

            <div class="col-sm-2">
                <label for="Agencia">Agência*</label>
                <input type="text" class="form-control" id="Agencia" asp-for="Agência" required />
            </div>

            <div class="col-sm-2">
                <label for="Conta">Conta*</label>
                <input type="text" class="form-control" id="Conta" asp-for="Conta" required />
            </div>

            <div class="col-sm-4">
                <label for="Banco">Comprovante Bancário*</label>
                <input type="file" class="form-control" id="Banco" asp-for="ComprovanteBancário" required accept=".pdf" />
            </div>
        </div>
    </div>

    <div class="jumbotron bg-light">
        <h2 class="mb-2">Dados do Responsável</h2>
        <p class="lead">Se você for maior de idade, pode deixar essa parte em branco.</p>

        <div class="row">
            <div class="col-sm-6">
                <label for="NomeResponsavel">Nome do Responsável</label>
                <input type="text" class="form-control" id="NomeResponsavel" asp-for="NomeResponsável" />
            </div>

            <div class="col-sm-3">
                <label for="CPFResponsavel">CPF do Responsável</label>
                <input type="text" class="form-control" id="CPFResponsavel" asp-for="CPFResponsável" />
            </div>

            <div class="col-sm-3">
                <label for="RGCPFResponsavel">RG e CPF do Responsavel</label>
                <input type="file" class="form-control" id="RGCPFResponsavel" accept=".pdf" asp-for="RGCPFResponsável" />
            </div>
        </div>

        <div class="row">
            <div class="col">
                <label for="SelfieResponsavel">Selfie do Responsável com o Respectivo RG e CPF</label>
                <input type="file" class="form-control" id="FotoResponsavel" asp-for="FotoResponsável" accept=".jpg, .jpeg, .png" />
            </div>
        </div>
    </div>
    <button type="submit" class="btn btn-primary mt-2" id="Cadastrar">Cadastrar</button>
</form>

@section Scripts
{
    <script src="~/js/jquery.mask.js" type="text/javascript"></script>
    <script src="~/js/Cadastro/cadastro.js" type="text/javascript"></script>
}